[arch-commits] Commit in haskell-tasty-expected-failure/repos (2 files)

Felix Yan felixonmars at archlinux.org
Fri Aug 28 18:47:01 UTC 2020


    Date: Friday, August 28, 2020 @ 18:47:01
  Author: felixonmars
Revision: 691135

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-tasty-expected-failure/repos/community-staging-x86_64/
  haskell-tasty-expected-failure/repos/community-staging-x86_64/PKGBUILD
    (from rev 691134, haskell-tasty-expected-failure/trunk/PKGBUILD)

----------+
 PKGBUILD |   52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

Copied: haskell-tasty-expected-failure/repos/community-staging-x86_64/PKGBUILD (from rev 691134, haskell-tasty-expected-failure/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2020-08-28 18:47:01 UTC (rev 691135)
@@ -0,0 +1,52 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+_hkgname=tasty-expected-failure
+pkgname=haskell-tasty-expected-failure
+pkgver=0.12
+pkgrel=4
+pkgdesc="Mark tasty tests as failure expected"
+url="https://github.com/nomeata/tasty-expected-failure"
+license=("MIT")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-tagged' 'haskell-tasty' 'haskell-unbounded-delays')
+makedepends=('ghc')
+checkdepends=('haskell-hedgehog' 'haskell-tasty-golden' 'haskell-tasty-hedgehog'
+              'haskell-tasty-hunit')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+sha512sums=('779fe09a41c2bcbc7a51fd2dd893ebd2acd4a957ba43ee9e93474a6e2f7f6dcdcd7e28d268aed2ec403d912a4f56c6587aac5f4cde45c950cf26b50b5f6757aa')
+
+build() {
+    cd $_hkgname-$pkgver
+
+    if (( CHECKFUNC )); then
+        _opts=('--enable-tests')
+    else
+        _opts=('--disable-tests')
+    fi
+
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname "${_opts[@]}" \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+    runhaskell Setup build $MAKEFLAGS
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    # https://github.com/nomeata/tasty-expected-failure/issues/19
+    runhaskell Setup test || :
+}
+
+package() {
+    cd $_hkgname-$pkgver
+
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}



More information about the arch-commits mailing list